Skip to main content

Car hire live pricing API (1.0)

CarHireService

CarHireService_CreateSearch

Authorizations:
UserAuth
Request Body schema: application/json
required

The request body for Car Hire Search Request method

object (rpccarhireliveQuery)
market
string (Market)

Market for which the search is for. e.g. UK We provide a Culture API to get all the markets we support. See Culture API Documentation.

locale
string (Locale)

Locale that the results are returned in. e.g. en-GB We provide a Culture API to get all the locales we support. See Culture API Documentation.

currency
string (Currency)

Currency that the search results are returned in. e.g. GBP We provide a Culture API to get all the currencies we support. See Culture API Documentation.

object (Car Hire Location)

You can specify it as an entity id or lat/long coordinates

object (Car Hire Location)

You can specify it as an entity id or lat/long coordinates

object (LocalDateTimeEmptyDefaults)

This type allows the hour, minutes and the seconds to be omitted or left empty on the request. Omitting those parameters will make the values be defaulted to values specific for the vertical. For example in CarHire the time will default to 12:00:00 if all time parameters are unspecified.

object (LocalDateTimeEmptyDefaults)

This type allows the hour, minutes and the seconds to be omitted or left empty on the request. Omitting those parameters will make the values be defaulted to values specific for the vertical. For example in CarHire the time will default to 12:00:00 if all time parameters are unspecified.

includedAgentIds
Array of strings (Included agent ids)

Optional field Specifies a concrete list of agents that quotes should be returned for Any quotes from agents which are not part of this list will not be provided in the response If empty then quotes for all agents will be provided in the response All ids need to be valid for given market The list can't be more than 200 items

excludedAgentIds
Array of strings (Excluded agent ids)

Optional field Specifies a concrete list of agents whose quotes will be excluded in the response All ids need to be valid for given market The list can't be more than 200 items

driverAge
integer <int32> (Age of the designated driver)

Value must be between 21 and 99. The default value is 30 if not specified.

Responses

Request samples

Content type
application/json
{
  • "query": {
    }
}

Response samples

Content type
application/json
{
  • "sessionToken": "string",
  • "status": "RESULT_STATUS_UNSPECIFIED",
  • "content": {
    }
}

CarHireService_PollSearch

Authorizations:
UserAuth
path Parameters
sessionToken
required
string

Session token

Required field The token is usually provided by the create search response and has to be re-used for all poll calls until complete set of results is provided

Responses

Response samples

Content type
application/json
{
  • "sessionToken": "string",
  • "status": "RESULT_STATUS_UNSPECIFIED",
  • "content": {
    }
}